Skip to main content
GET
/
tokenization
/
access_registries
/
{id}
/
addresses
TypeScript
const response: Promise<FireblocksResponse<AccessRegistryCurrentStateResponse>> = fireblocks.tokenization.getTokenAccessRegistryAddresses(tokenizationApiGetTokenAccessRegistryAddressesRequest);
{
  "data": [
    {
      "address": "0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66",
      "dateAdded": "2024-07-01T00:00:00.000Z"
    }
  ],
  "next": "MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA==",
  "prev": "dGhpcyBpcyBhIHByZXZpb3VzIGN1bcnNvcg==",
  "total": 150
}

Path Parameters

id
string
required

The token link id

Query Parameters

pageCursor
string

Page cursor to get the next page

pageSize
integer

Number of items per page (max 100), requesting more than 100 will return 100 items

Required range: 1 <= x <= 100
sortBy
enum<string>
default:dateAdded

Sorting field (enum).

Available options:
dateAdded,
address
order
enum<string>
default:DESC

ASC / DESC ordering (default DESC)

Available options:
ASC,
DESC

Response

Access registry addresses retrieved successfully

data
object[]
required

Array of active addresses in the access registry

Example:
[
{
"address": "0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66",
"dateAdded": "2024-07-01T00:00:00.000Z"
}
]
next
string

Cursor for next page

Example:

"MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA=="

prev
string

Cursor for previous page

Example:

"dGhpcyBpcyBhIHByZXZpb3VzIGN1bcnNvcg=="

total
number

Total count of active addresses in the access registry

Example:

150